<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่งขัน</a>
      </div>
      <p class="pps-header_th">
        วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่ง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight"
      *ngIf="(stepTwo['validate'] === true|| stepTwo['validate'] === null) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 8px;"
  *ngIf="(stepTwo['validate'] === true|| stepTwo['validate'] === null) && template_manage.pageShow !== 'executive'">
  <!-- ----------------------------------------- ตลาดในภาพรวมและแนวโน้ม -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ตลาดในภาพรวมและแนวโน้ม</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">
        <!-- <div
          placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
          contenteditable="true"
          [innerHTML]="this.textareaForm.get('marktingText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;"
          id="marktingText"
          (ngModelChange)="changeSaveDraft()"
        ></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(1)" rows="5" (click)="autogrow(1)" type="text" id="marktingText"
          [(ngModel)]="stepTwo.marktingText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="marktingText" required></textarea>
        <!-- ===================== -->
        <div style="position: relative;">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(1, i)" />
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{ stepTwo.markting.file[i].fileName }}"
                    title="{{ stepTwo.markting.file[i].fileName }}" class="photo" (click)="image_click(1, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(1, $event); changeSaveDraft()" [(ngModel)]="file1_2"
                  accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png" style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>
        </div>
        <!-- <textarea
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="enter"
          placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
          style="height: 261px;"
          [(ngModel)]="stepTwo.marktingText"
          (ngModelChange)="changeSaveDraft()" >
        </textarea> -->
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- คู่แข่ง (ผลิตภัณฑ์และ Pricing) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">คู่แข่ง (ผลิตภัณฑ์และ Pricing)</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">

        <!-- <div
          placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
          contenteditable="true"
          [innerHTML]="this.textareaForm.get('competitorText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;"
          id="competitorText"
          (ngModelChange)="changeSaveDraft()"
        ></div> -->

        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(2)" rows="5" (click)="autogrow(2)" type="text" id="competitorText"
          [(ngModel)]="stepTwo.competitorText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="competitorText" required></textarea>
        <div style="position: relative;">


          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(2, i)" />
                <div class="unnon_image">
                  <img [src]="image2[i]" alt="{{ stepTwo.competitor.file[i].fileName }}"
                    title="{{ stepTwo.competitor.file[i].fileName }}" class="photo" (click)="image_click(2, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(2, $event); changeSaveDraft()" [(ngModel)]="file2_2"
                  accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(2, $event); changeSaveDraft()" [(ngModel)]="file2_1" accept=".jpg,.png"
              style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

        </div>
        <!-- <textarea
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="enter"
          placeholder="ระบุรายละเอียดคู่แข่ง (ผลิตภัณฑ์และ Pricing)"
          style="height: 261px;"
          [(ngModel)]="stepTwo.competitorText"
          (ngModelChange)="changeSaveDraft()"
        >
        </textarea> -->
      </div>
    </div>
  </div>
  <br>

  <!-- ----------------------------------------- ผลิตภัณฑ์ของธนาคาร (ผลิตภัณฑ์ใกล้เคียง) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ผลิตภัณฑ์ของธนาคาร (ผลิตภัณฑ์ใกล้เคียง)</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">

        <!-- <div
        placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
        contenteditable="true"
        [innerHTML]="this.textareaForm.get('similarText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;"
        id="similarText"
        (ngModelChange)="changeSaveDraft()"
      ></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(3)" rows="5" (click)="autogrow(3)" type="text" id="similarText"
          [(ngModel)]="stepTwo.similarText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="similarText" required></textarea>
        <div style="position: relative;">


          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(3, i)" />
                <div class="unnon_image">
                  <img [src]="image3[i]" alt="{{ stepTwo.similar.file[i].fileName }}"
                    title="{{ stepTwo.similar.file[i].fileName }}" class="photo" (click)="image_click(3, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(3, $event); changeSaveDraft()" [(ngModel)]="file3_2"
                  accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>


          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(3, $event); changeSaveDraft()" [(ngModel)]="file3_1" accept=".jpg,.png"
              style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>


        </div>
        <!-- <textarea
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="enter"
          placeholder="ระบุรายละเอียดผลิตภัณฑ์ของธนาคาร"
          style="height: 261px;"
          [(ngModel)]="stepTwo.similarText"
          (ngModelChange)="changeSaveDraft()"
        >
        </textarea> -->
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- ผลิตภัณฑ์ทดแทน -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ผลิตภัณฑ์ทดแทน</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">

        <!-- <div
        placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
        contenteditable="true"
        [innerHTML]="this.textareaForm.get('compensateText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;"
        id="compensateText"
        (ngModelChange)="changeSaveDraft()"
      ></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(4)" rows="5" (click)="autogrow(4)" type="text" id="compensateText"
          [(ngModel)]="stepTwo.compensateText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="compensateText" required></textarea>

        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(4, i)" />
                <div class="unnon_image">
                  <img [src]="image4[i]" alt="{{ stepTwo.compensate.file[i].fileName }}"
                    title="{{ stepTwo.compensate.file[i].fileName }}" class="photo" (click)="image_click(4, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(4, $event); changeSaveDraft()" [(ngModel)]="file4_2"
                  accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>


          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(4, $event); changeSaveDraft()" [(ngModel)]="file4_1" accept=".jpg,.png"
              style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

        </div>
        <!-- <textarea
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="enter"
          placeholder="ระบุรายละเอียดผลิตภัณฑ์ทดแทน"
          style="height: 261px;"
          [(ngModel)]="stepTwo.compensateText"
          (ngModelChange)="changeSaveDraft()"
        >
        </textarea> -->
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- ความต้องการของกลุ่มเป้าหมาย -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ความต้องการของกลุ่มเป้าหมาย</p>
    </div>
    <div class="col-12 mainText">
      <div class="textarea-container">

        <!-- <div
        placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
        contenteditable="true"
        [innerHTML]="this.textareaForm.get('targetText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;"
        id="targetText"
        (ngModelChange)="changeSaveDraft()"
      ></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(5)" rows="5" (click)="autogrow(5)" type="text" id="targetText"
          [(ngModel)]="stepTwo.targetText" (ngModelChange)="changeSaveDraft()" #description="ngModel" name="targetText"
          required></textarea>
        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image5; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(5, i)" />
                <div class="unnon_image">
                  <img [src]="image5[i]" alt="{{ stepTwo.target.file[i].fileName }}"
                    title="{{ stepTwo.target.file[i].fileName }}" class="photo" (click)="image_click(5, i)" />
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(5, $event); changeSaveDraft()" [(ngModel)]="file5_2"
                  accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(5, $event); changeSaveDraft()" [(ngModel)]="file5_1" accept=".jpg,.png"
              style="width: 526px;" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

        </div>
        <!-- <textarea
          class="form-control"
          id="exampleFormControlTextarea1"
          rows="enter"
          placeholder="ระบุรายละเอียดความต้องการของกลุ่มเป้าหมาย"
          style="height: 261px;"
          [(ngModel)]="stepTwo.targetText"
          (ngModelChange)="changeSaveDraft()"
        >
        </textarea> -->
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่ -------------------------------------------------- -->
  <!-- <div class="row">
    <div class="col-12">
      <p class="head-detal">จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่</p>
    </div>
      <div class="col-12 body-detal-checkbox">
        <mat-radio-group aria-label="Select an option" [(ngModel)]="stepTwo.agreement">
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box"><mat-radio-button value= "1" ></mat-radio-button></div>
            <div class="bd-highlight radio-detail"
            [ngClass]="{'checkbox-detail-true': stepTwo.agreement === '1','checkbox-detail-false': stepTwo.agreement !== '1'}"
            (click)="stepTwo.agreement = '1'"
            >ใช่</div>
          </div>
          <div class="d-flex align-items-stretch radio-layout" style="background-color: #E0E0E0; margin-bottom: 10px;">
            <div class="row  body-detal-checkbox" style="width: 100%;">
              <div class="col-md-6" style="padding-right: 8px;">
                <p class="input_select">ธนาคารกรุงไทย</p>
                <input type="text"
                  class="form-control input-detail"
                  placeholder=""
                  [(ngModel)]="stepTwo.agreement_detail_in"
                  [disabled]="stepTwo.agreement !== '1' ">
              </div>
              <div class="col-md-6" style="padding-left: 8px;">
                <p class="input_select">หน่วยงานภายนอก</p>
                <input type="text"
                  class="form-control input-detail"
                  placeholder=""
                  [(ngModel)]="stepTwo.agreement_detail_out"
                  [disabled]="stepTwo.agreement !== '1' ">
              </div>
            </div>
          </div>
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box"><mat-radio-button value= "2" ></mat-radio-button></div>
            <div class="bd-highlight radio-detail"
            [ngClass]="{'checkbox-detail-true': stepTwo.agreement === '2','checkbox-detail-false': stepTwo.agreement !== '2'}"
            (click)="stepTwo.agreement = '2'"
            >ไม่ใช่</div>
          </div>
        </mat-radio-group>
      </div>

  </div>
  <br> -->

  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="typeofcollateral">
      <p class="head-detal">อัปโหลดเอกสาร</p>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
          (change)="onSelectFile($event); changeSaveDraft()" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.png" />
        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
        <a style="font-size: 18px; color: #00a6e6;"
          for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
    </div>
    <br />
    <div class="row">
      <div class="col-12 table_files">
        <table mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
              <a class="pipe">|</a>
              <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
    </div>
  </div>

  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <div id="myModal2" class="modal">
    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
    <div style="justify-content: center;">
      <div class="modal-content" *ngIf="showModel">
        <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
          title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
      </div>
      <br>
      <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
              [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
              (click)="modalmainImageIndex = i">
          </div>
        </div>
      </div>
    </div>

  </div>
  <!-- ------------------------------------------------------------------------------------------------------------------ -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br> <br> <br> <br>
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br> <br>
  </div>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>









<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 8px;" *ngIf="stepTwo['validate'] === false || template_manage.pageShow === 'executive'">
  <!-- ----------------------------------------- ตลาดในภาพรวมและแนวโน้ม -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ตลาดในภาพรวมและแนวโน้ม</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepTwo.marktingText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )"> -->
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{stepTwo.markting.file[i].fileName}}"
                    title="{{stepTwo.markting.file[i].fileName}}" class="photo" (click)="image_click(1, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- คู่แข่ง (ผลิตภัณฑ์และ Pricing) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">คู่แข่ง (ผลิตภัณฑ์และ Pricing)</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepTwo.competitorText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(2, i )"> -->
                <div class="unnon_image">
                  <img [src]="image2[i]" alt="{{stepTwo.competitor.file[i].fileName}}"
                    title="{{stepTwo.competitor.file[i].fileName}}" class="photo" (click)="image_click(2, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- ผลิตภัณฑ์ของธนาคาร (ผลิตภัณฑ์ใกล้เคียง) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ผลิตภัณฑ์ของธนาคาร (ผลิตภัณฑ์ใกล้เคียง)</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepTwo.similarText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )"> -->
                <div class="unnon_image">
                  <img [src]="image3[i]" alt="{{stepTwo.similar.file[i].fileName}}"
                    title="{{stepTwo.similar.file[i].fileName}}" class="photo" (click)="image_click(3, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- ผลิตภัณฑ์ทดแทน -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ผลิตภัณฑ์ทดแทน</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepTwo.compensateText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(4, i )"> -->
                <div class="unnon_image">
                  <img [src]="image4[i]" alt="{{stepTwo.compensate.file[i].fileName}}"
                    title="{{stepTwo.compensate.file[i].fileName}}" class="photo" (click)="image_click(4, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- ความต้องการของกลุ่มเป้าหมาย -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ความต้องการของกลุ่มเป้าหมาย</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepTwo.targetText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image5; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(5, i )"> -->
                <div class="unnon_image">
                  <img [src]="image5[i]" alt="{{stepTwo.target.file[i].fileName}}"
                    title="{{stepTwo.target.file[i].fileName}}" class="photo" (click)="image_click(5, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
  <br>
  <br>
  <!-- ----------------------------------------- เอกสารเเนบ -------------------------------------------------- -->
  <div class="row" *ngIf="template_manage.pageShow !== 'executive'">
    <div class="col-12">
      <p class="head-detal">เอกสารเเนบ</p>
    </div>
    <div class="col-12">
      <div class="row">
        <div class="col-12 table_files_validate">
          <table mat-table [dataSource]="dataSource_file">
            <!-- Position Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
              <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="size">
              <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
              <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element; let index = index">
                <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                <!-- <a class="delete_file" (click)="downloadFile(element.base64File, element.fileName)">ดาวน์โหลด</a> -->
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
          </table>
        </div>
      </div>
    </div>
  </div>

  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <div id="myModal2" class="modal">
    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
    <div style="justify-content: center;">
      <div class="modal-content" *ngIf="showModel">
        <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
          title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
      </div>
      <br>
      <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
              [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
              (click)="modalmainImageIndex = i">
          </div>
        </div>
      </div>
    </div>

  </div>
  <!-- ------------------------------------------------------------------------------------------------------------------ -->
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>


<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<br>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->
<div class="row" *ngIf="stepTwo['validate'] === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <br>
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>